<?php

use App\Http\Controllers\Api\OLDLMS\MembershipController;
use App\Http\Controllers\Api\OLDLMS\PaymentController;
use App\Http\Controllers\GeneratedDocumentController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('postpone-pay/{member_id}', [PaymentController::class, 'postponePay'])->name('postpone-pay');

Route::get('c1in24b6ct1c279489u12nc89b7cb4y890uj12iub3yd/{id}', [GeneratedDocumentController::class, 'show'])->name('generated-document.show');
Route::get('pdf/header', [GeneratedDocumentController::class, 'header'])->name('pdf.header');
Route::get('pdf/footer', [GeneratedDocumentController::class, 'footer'])->name('pdf.footer');
Route::get('pdf/{id}', [GeneratedDocumentController::class, 'pdf']);

Route::get('remove-insurance/{email}', [MembershipController::class, 'removeInsurance']);